#include <gtk/gtk.h>
#include "guiutils.h"


static gint handler_false(GtkWidget *w, GdkEvent *event, gpointer data)
{
	g_print("handler level %i\n", (gint)data);
	return(FALSE);
}

static gint handler_true(GtkWidget *w, GdkEvent *event, gpointer data)
{
	g_print("handler level %i\n", (gint)data);
	return(TRUE);
}


int main(int argc, char *argv[])
{

	GtkWidget	*w,
			*parent,
			*toplevel;

	gtk_init(&argc, &argv);

	toplevel = w = gtk_window_new(GTK_WINDOW_TOPLEVEL);
	gtk_widget_set_usize(w, 200, 100);
	gtk_widget_add_events(
	    w,
	    GDK_BUTTON_PRESS_MASK | GDK_KEY_PRESS_MASK
	);
	gtk_signal_connect(
	    GTK_OBJECT(w), "delete_event",
	    GTK_SIGNAL_FUNC(gtk_main_quit), NULL
	);
	gtk_widget_show(w);
	parent = w;

	w = gtk_drawing_area_new();
	gtk_widget_add_events(
	    w,
	    GDK_BUTTON_PRESS_MASK | GDK_KEY_PRESS_MASK
	);
	gtk_signal_connect(
	    GTK_OBJECT(w), "button_press_event",
	    GTK_SIGNAL_FUNC(handler_false), (gpointer)2
	);
	gtk_signal_connect(
	    GTK_OBJECT(w), "button_press_event",
	    GTK_SIGNAL_FUNC(handler_true), (gpointer)3
	);
	gtk_container_add(GTK_CONTAINER(parent), w);
	gtk_widget_show(w);

GUIBlockInput(toplevel, TRUE);

	gtk_main();


	return(0);
}
