/*
		  Endeavour Browser Contents List
 */

#ifndef BROWSER_CONTENTS_LIST_H
#define BROWSER_CONTENTS_LIST_H

#include <gtk/gtk.h>
#include "browser.h"


/* Columns */
extern gint EDVBrowserContentsGetColumnIndexByType(
        edv_browser_struct *browser,
        const edv_browser_column_type column_type
);
extern gint EDVBrowserContentsGetColumnWidthByType(
        edv_browser_struct *browser,
        const edv_browser_column_type column_type
);
extern edv_browser_column_type EDVBrowserContentsGetColumnTypeByIndex(
        edv_browser_struct *browser,
        const gint column_num
);
extern void EDVBrowserContentsSetColumnWidthByType(
        edv_browser_struct *browser,
        const edv_browser_column_type column_type,
        const gint width
);
extern void EDVBrowserContentsResizeColumnOptimul(
	edv_browser_struct *browser,
	const gint column_num
);
extern void EDVBrowserContentsResizeColumnsOptimul(edv_browser_struct *browser);

/* Selection */
extern GList *EDVBrowserContentsGetSelectedPaths(edv_browser_struct *browser);

/* Finding */
extern gint EDVBrowserContentsFindRowByIndex(
	edv_browser_struct *browser,
	const gulong device_index, const gulong index
);
extern gint EDVBrowserContentsFindRowByPath(
	edv_browser_struct *browser,
	const gchar *path
);

/* Realize Listing */
extern void EDVBrowserContentsRealizeListing(edv_browser_struct *browser);

/* Get Listing */
extern void EDVBrowserContentsGetListing(
	edv_browser_struct *browser,
	const gchar *path,
	const gboolean show_progress
);
extern void EDVBrowserContentsClear(edv_browser_struct *browser);

/* Opening */
extern void EDVBrowserContentsOpen(
	edv_browser_struct *browser,
	const gint row, const gint column,
	const guint state
);
extern void EDVBrowserContentsOpenWith(
	edv_browser_struct *browser,
	const gint row, const gint column
);

/* Renaming */
extern void EDVBrowserContentsPromptRename(
	edv_browser_struct *browser,
	const gint row, const gint column
);

/* Object Callbacks */
extern void EDVBrowserContentsObjectAddedCB(
	edv_browser_struct *browser,
	const gchar *path,
	EDVVFSObject *obj
);
extern void EDVBrowserContentsObjectModifiedCB(
	edv_browser_struct *browser,
	const gchar *path,
	const gchar *new_path,
	EDVVFSObject *obj
);
extern void EDVBrowserContentsObjectRemovedCB(
	edv_browser_struct *browser,
	const gchar *path
);

/* Mount Callbacks */
extern void EDVBrowserContentsMountCB(
	edv_browser_struct *browser,
	EDVDevice *d,
	const gboolean mounted
);


#endif	/* BROWSER_CONTENTS_LIST_H */
