#ifndef EDV_HISTORY_LIST_H
#define EDV_HISTORY_LIST_H

#include <stdio.h>
#include <glib.h>
#include "edv_types.h"
#include "edv_history.h"


/* Open History List File */
extern GList *EDVHistoryListOpen(
	GList *history_list,
	const gchar *path,
	gint (*progress_cb)(gpointer, const gulong, const gulong),
	gpointer data
);

/* Save History List File */
extern void EDVHistoryAppendToStream(
	FILE *fp,
	const edv_history_struct *h
);
extern void EDVHistoryAppendToFile(
	const gchar *path,
	const edv_history_struct *h
);
extern void EDVHistoryListSave(
	GList *history_list,
	const gchar *path,
	gint (*progress_cb)(gpointer, const gulong, const gulong),
	gpointer data
);


#endif	/* EDV_HISTORY_LIST_H */
