/*
		    Endeavour Image Browser Thumbs List
 */

#ifndef IMBR_TLIST_H
#define IMBR_TLIST_H

#include <gtk/gtk.h>
#include "edv_device.h"
#include "imbr.h"


/* Selection */
extern GList *EDVImbrTListGetSelectedPaths(edv_imbr_struct *imbr);

/* Finding */
extern gint EDVImbrTListFindThumbByIndex(
	edv_imbr_struct *imbr,
	const gulong device_index, const gulong index
);
extern gint EDVImbrTListFindThumbByPath(
	edv_imbr_struct *imbr, const gchar *path
);

/* Realize Listing */
extern void EDVImbrTListRealizeListing(edv_imbr_struct *imbr);

/* Get Listing */
extern void EDVImbrTListGetListing(
	edv_imbr_struct *imbr, const gchar *path,
	const gboolean update_status_bar
);
extern void EDVImbrTlistClear(edv_imbr_struct *imbr);

/* Thumb Image Load Iteration */
extern gint EDVImbrTListLoadIterate(
	edv_imbr_struct *imbr,
	const gboolean update_status_bar,
	const gboolean no_enlarge
);

/* Opening */
extern void EDVImbrTListOpen(
	edv_imbr_struct *imbr,
	const gint thumb_num,
	const guint state			/* Key modifiers */
);
extern void EDVImbrTListOpenWith(
	edv_imbr_struct *imbr,
	const gint thumb_num
);

/* Renaming */
extern void EDVImbrTListPromptRename(
	edv_imbr_struct *imbr,
	const gint thumb_num
);

/* Object Callbacks */
extern void EDVImbrTListObjectAddedNotify(
	edv_imbr_struct *imbr,
	const gchar *path,
	EDVVFSObject *obj
);
extern void EDVImbrTListObjectModifiedNotify(
	edv_imbr_struct *imbr,
	const gchar *path,
	const gchar *new_path,
	EDVVFSObject *obj
);
extern void EDVImbrTListObjectRemovedNotify(
	edv_imbr_struct *imbr,
	const gchar *path
);

/* Mount Callbacks */
extern void EDVImbrTListMountNotifyCB(
	edv_imbr_struct *imbr, EDVDevice *dev_ptr,
	const gboolean is_mounted
);


#endif	/* IMBR_TLIST_H */
